Subject: Re: linux-next: build failure after merge of the qcom tree

From: Matthias Kaehlcke <[email-masked]>
Date: Tue, 23 Apr 2019 16:50:41 -0700

On Wed, Apr 24, 2019 at 09:25:31AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the qcom tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> arch/arm/boot/dts/qcom-apq8064.dtsi:1297.29-1309.5: ERROR (phandle_references): /soc/dsi-phy@4700200: Reference to non-existent node or label "xo_board"
> 
> Caused by commit
> 
>   3560af5a56b5 ("ARM: dts: qcom-apq8064: Set 'xo_board' as ref clock of the DSI PHY")
> 
> I have used the version of the qcom tree from next-20190423 for today.

I thought I built-tested this, but probably only did arm64 builds :(

I'm working on a fix.

Matthias